Name:           garmindev
Version:        0.3.4
Release:        %mkrel 10
Summary:        Drivers for communication with Garmin GPS devices
Group:          System/Libraries
License:        GPLv2+
URL:            http://www.qlandkarte.org
Source0:        http://downloads.sourceforge.net/qlandkartegt/%{name}-%{version}.tar.gz
Provides:       %{name}(interface) = 1.18
BuildRequires:  cmake
BuildRequires:  pkgconfig(libusb)

%description
Drivers for communication with Garmin GPS devices used by QLandkarteGT.

%prep
%setup -q

%build
export CXXFLAGS="%{optflags} -fno-strict-aliasing -fsigned-char"
%cmake
%cmake_build

%install
%cmake_install

# fix perms on plugins
find %{buildroot}%{_libdir}/qlandkartegt -type f -exec chmod 0755 {} \;

# drop the development files
rm -rf %{buildroot}%{_includedir}/garmin
rm -rf %{buildroot}%{_libdir}/qlandkartegt/libgarmin*

%files
%{_libdir}/qlandkartegt/


%changelog
* Thu Feb 13 2020 daviddavid <daviddavid> 0.3.4-10.mga8
+ Revision: 1512738
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.3.4-9.mga7
+ Revision: 1297826
- Mageia 7 Mass Rebuild

* Tue Jun 19 2018 wally <wally> 0.3.4-8.mga7
+ Revision: 1238146
- build with -fno-strict-aliasing and -fsigned-char to fix FTBFS

* Mon Feb 08 2016 umeabot <umeabot> 0.3.4-7.mga6
+ Revision: 943157
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.4-6.mga5
+ Revision: 744156
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.4-5.mga5
+ Revision: 679418
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 pterjan <pterjan> 0.3.4-4.mga5
+ Revision: 643591
- Replace libusb*-devel BuildRequires by better ones

* Fri Oct 18 2013 umeabot <umeabot> 0.3.4-3.mga4
+ Revision: 504660
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.3.4-2.mga3
+ Revision: 351069
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 08 2011 zezinho <zezinho> 0.3.4-1.mga2
+ Revision: 178968
- import fedora spec
- imported package garmindev


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul  4 2010 Dan HorÃ¡k <dan[at]danny.cz> 0.3.4-1
- update to version 0.3.4

* Sun Feb  6 2010 Dan HorÃ¡k <dan[at]danny.cz> 0.3.3-1
- update to version 0.3.3

* Tue Jan 26 2010 Dan HorÃ¡k <dan[at]danny.cz> 0.3.2-1
- update to version 0.3.2

* Wed Dec 23 2009 Dan HorÃ¡k <dan[at]danny.cz> 0.3.1-1
- update to version 0.3.1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 20 2009 Dan HorÃ¡k <dan[at]danny.cz> 0.3.0-1
- update to version 0.3.0

* Wed Apr 15 2009 Dan HorÃ¡k <dan[at]danny.cz> 0.1.1-1
- update to version 0.1.1

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20090208svn1152
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb  8 2009 Dan HorÃ¡k <dan[at]danny.cz> 0-0.3.20090208svn1152
- update to revision 1152 - adds support for eTrex LegendHCx, eTrexH, eTrex Legend

* Wed Nov 19 2008 Dan HorÃ¡k <dan[at]danny.cz> 0-0.2.20081117svn928
- provide garmindev(interface) = 1.15 for correct interraction with QLandkarteGT

* Mon Nov 17 2008 Dan HorÃ¡k <dan[at]danny.cz> 0-0.1.20081117svn928
- initial Fedora version
